<div class="contenedor">
  <form [formGroup]="experienciaForm" autocomplete="off" novalidate (ngSubmit)="addRespuesta(preguntas)"
    fxLayout="column wrap" fxLayoutAlign="center center" fxLayoutGap="10px">
    <mat-card>
        <mat-progress-bar mode="determinate" value="33.33333333"></mat-progress-bar>
      <h1 class="">Años de experiencia</h1>
      <div class="container">
        <p>
          Nos gustaría conocer tu experiencia. Puedes incluir el decimal que más se aproxime a tu experiencia en cada
          rol.
        </p>
        <br>
        <mat-form-field  *ngFor="let pregunta of preguntas,let index = index;trackBy:trackByIndex;">
          <input matInput type="number" [(ngModel)]="pregunta.experiencia" placeholder="{{pregunta.pregunta}}" min="0" 
            max="100"  required [formControlName]="'pregunta'+pregunta._id"/>
          <mat-error *ngIf="hasError('pregunta'+pregunta._id, 'required')">El campo es obligatorio</mat-error>
          <mat-error *ngIf="hasError('pregunta'+pregunta._id, 'min')">El valor debe ser mayor o igual a 0</mat-error>
          <mat-error *ngIf="hasError('pregunta'+pregunta._id, 'max')">El valor debe ser menor o igual a 100</mat-error>
        </mat-form-field>
      </div>
      <button type="submit" mat-raised-button color="primary" [disabled]="!experienciaForm.valid"
        (click)="addRespuesta(preguntas)" >Siguiente</button>
    </mat-card>
  </form>
</div>
